package com.nailabs.abac.trust;

/** 
 * An exception for signaling that a trust target has been incorrectly 
 * formatted.
 */
public class TrustTargetParsingException extends Exception {
    /** The string containing an improperly formatted trust target */
    private String data;

    /** Detailed contructor for error and the offending datum */
    public TrustTargetParsingException(String error, String offender) {
	super(error);
	data = offender;
    }

    /** Accessor method for the data field */
    public String getData() { return data; }

}
